List all third-party integrations enabled on a space
Returns a paginated list of integrations that are currently installed and enabled on the space. Use the query parameter to filter by integration name. Use this to check which integrations are active before interacting with integration-specific features or blocks.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Query parameters
searchstringOptional
A search string to filter integrations by name
Responses
200
Listing of integrations enabled in the space.
application/json
countnumberOptional
Total count of objects in the list
get/spaces/{spaceId}/integrations
GET /v1/spaces/{spaceId}/integrations HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Listing of integrations enabled in the space.
{
"next": {
"page": "text"
},
"count": 1,
"items": [
{
"object": "integration",
"name": "text",
"version": 1,
"title": "text",
"description": "text",
"summary": "text",
"previewImages": [
"text"
],
"target": "all",
"verified": true,
"visibility": "public",
"scopes": [
"space:content:read"
],
"categories": [
"analytics"
],
"blocks": [
{
"id": "text",
"title": "text",
"description": "text",
"icon": "text",
"urlUnfurl": [
"text"
],
"markdown": {
"codeblock": "text",
"body": "text"
}
}
],
"contentSources": [
{
"id": "text",
"title": "text",
"description": "text",
"icon": "text",
"configuration": {
"componentId": "text"
}
}
],
"configurations": {
"account": {
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"title": "text",
"description": "text",
"type": "string",
"default": "text",
"completion_url": "text",
"enum": [
"text"
]
}
},
"required": [
"text"
]
},
"space": {
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"title": "text",
"description": "text",
"type": "string",
"default": "text",
"completion_url": "text",
"enum": [
"text"
]
}
},
"required": [
"text"
]
},
"site": {
"properties": {
"ANY_ADDITIONAL_PROPERTY": {
"title": "text",
"description": "text",
"type": "string",
"default": "text",
"completion_url": "text",
"enum": [
"text"
]
}
},
"required": [
"text"
]
}
},
"externalLinks": [
{
"url": "https://example.com",
"label": "text"
}
],
"owner": {
"object": "organization",
"id": "text",
"title": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"emailDomains": [
"text"
],
"hostname": "text",
"type": "business",
"useCase": "internalDocs",
"communityType": "nonProfit",
"defaultRole": "admin",
"defaultContent": {
"type": "site",
"site": "text"
},
"sso": true,
"ai": true,
"aiSettings": {
"ai-agent": false,
"ai-assistant": false,
"ai-broken-links": false,
"ai-content-gap": false,
"ai-insight": false,
"ai-import": false,
"ai-platform": false,
"ai-style-guide": false,
"ai-translation": false,
"aiCreditAlertThreshold": 1,
"aiCreditPauseEnabled": true,
"aiAlertNotificationAlertId": "text",
"aiPauseNotificationAlertId": "text"
},
"aiPaused": true,
"inviteLinks": true,
"auditLogs": true,
"plan": "free_2024",
"billing": {
"interval": "monthly",
"endDate": "2026-01-01T00:00:00.000Z",
"hasPaymentFailed": true,
"canCheckout": true,
"isScheduledToCancel": true,
"pricing": {
"members": {
"plus_2024": {
"monthly": 1,
"yearly": 1
},
"pro_2024": {
"monthly": 1,
"yearly": 1
}
},
"sites": {
"premium": {
"monthly": 1,
"yearly": 1
},
"ultimate": {
"monthly": 1,
"yearly": 1
}
}
},
"usageAddons": {
"ANY_ADDITIONAL_PROPERTY": {
"enabled": true
}
},
"minUsers": 1,
"maxUsers": 1,
"minPremiumSites": 1,
"maxPremiumSites": 1,
"minUltimateSites": 1,
"maxUltimateSites": 1,
"paidMembers": 1,
"paidPremiumSites": 1,
"paidUltimateSites": 1,
"canChangeInterval": true,
"canUseSAML": true,
"canUseAI": true,
"creditsBundle": "none",
"aiCreditAllowance": 1,
"aiCreditRollover": 1
},
"mergeRules": {
"type": "rules",
"rules": [
{
"rule": "require_specific_reviewers",
"users": [
"text"
]
}
]
},
"supportCost": {
"perTicket": 1,
"currency": "text"
},
"urls": {
"location": "https://example.com",
"app": "https://example.com",
"logo": "https://example.com"
},
"trial": {
"status": "notapplicable",
"count": 1,
"endDate": "2026-01-01T00:00:00.000Z",
"decision": "downgrade"
},
"customHostname": "text",
"blocked": {
"source": "backoffice",
"reason": "text"
},
"internal_billingMigration": {
"deadline": "2026-01-01T00:00:00.000Z",
"discountPercent": 1,
"discountEndDate": "2026-01-01T00:00:00.000Z"
},
"permissions": {
"view": true,
"access": true,
"admin": true,
"ownTeam": true,
"createContent": true,
"createOpenAPISpec": true,
"viewBilling": true,
"listMembers": true,
"listTeams": true,
"listIntegrations": true,
"listInstallations": true,
"installIntegration": true
}
},
"urls": {
"location": "https://example.com",
"icon": "https://example.com",
"app": "https://example.com",
"assets": "https://example.com",
"publicEndpoint": "https://example.com",
"publicContentEndpoint": "https://example.com"
},
"permissions": {
"admin": true
},
"contentSecurityPolicy": "text"
}
]
}Last updated
Was this helpful?